Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.cache.interceptors
Class EvictionInterceptor

    java.lang.Object
      org.jboss.cache.interceptors.Interceptor
          org.jboss.cache.interceptors.EvictionInterceptor

All Implemented Interfaces:
  InterceptorMBean

Direct Known Subclasses:
  PojoEvictionInterceptor

    public class EvictionInterceptor

extends Interceptor

Eviction Interceptor.

This interceptor is used to handle eviction events.

Version:
  $Revision: 1.3 $
Author:
  Daniel Huang

Nested Class Summary
`protected static interface` | `EvictionInterceptor.EvictionMethodHandler`
`protected class` | `EvictionInterceptor.GetKeyEvictionMethodHandler`
`protected class` | `EvictionInterceptor.GetNodeEvictionMethodHandler`
`protected class` | `EvictionInterceptor.PutDataEraseEvictionMethodHandler`
`protected class` | `EvictionInterceptor.PutDataEvictionMethodHandler`
`protected class` | `EvictionInterceptor.PutKeyEvictionMethodHandler`
`protected class` | `EvictionInterceptor.RemoveKeyEvictionMethodHandler`
`protected class` | `EvictionInterceptor.RemoveNodeEvictionMethodHandler`

Field Summary
`protected java.util.Map` | `evictionMethodHandlers`
`protected RegionManager` | `regionManager`

Constructor Summary
`EvictionInterceptor()`

Method Summary
`protected boolean` | `canIgnoreEvent(Fqn fqn)`
`protected void` | `doEventUpdatesOnRegionManager(EvictedEventNode event)`
`protected EvictedEventNode` | `extractEvent(org.jgroups.blocks.MethodCall m, java.lang.Object retVal)`
`java.lang.Object` | `invoke(org.jgroups.blocks.MethodCall m)`
`void` | `setCache(TreeCache cache)`
`protected void` | `updateNode(org.jgroups.blocks.MethodCall m, java.lang.Object retVal)`

Methods inherited from class org.jboss.cache.interceptors.Interceptor
`dumpStatistics, getInvocationContext, getNext, getStatisticsEnabled, isActive, isBuddyGroupOrganisationMethod, isOnePhaseCommitPrepareMehod, isPreparing, isTransactionLifecycleMethod, isValid, resetStatistics, setInvocationContext, setNext, setStatisticsEnabled`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### regionManager

    protected RegionManager regionManager

### evictionMethodHandlers

    protected java.util.Map evictionMethodHandlers

Constructor Detail

### EvictionInterceptor

    public EvictionInterceptor()

Method Detail

### setCache

    public void setCache(TreeCache cache)

  Overrides:
    `setCache` in class `Interceptor`

### invoke

    public java.lang.Object invoke(org.jgroups.blocks.MethodCall m)
                            throws java.lang.Throwable

  Overrides:
    `invoke` in class `Interceptor`
  Throws:
    `java.lang.Throwable`

### updateNode

    protected void updateNode(org.jgroups.blocks.MethodCall m,
                              java.lang.Object retVal)

### extractEvent

    protected EvictedEventNode extractEvent(org.jgroups.blocks.MethodCall m,
                                            java.lang.Object retVal)

### canIgnoreEvent

    protected boolean canIgnoreEvent(Fqn fqn)

### doEventUpdatesOnRegionManager

    protected void doEventUpdatesOnRegionManager(EvictedEventNode event)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1998-2005 JBoss Inc . All Rights Reserved.